# CodeQualityExtension

abstract class CodeQualityExtension

Base Code Quality Extension.

#### Inheritors

PmdExtension
CheckstyleExtension
CodeNarcExtension

## Constructors

CodeQualityExtension
Link copied to clipboard
constructor()

## Properties

reportsDir
Link copied to clipboard
open var reportsDir: File
sourceSets
Link copied to clipboard
open var sourceSets: Collection<SourceSet>
toolVersion
Link copied to clipboard
open var toolVersion: String

## Functions

isIgnoreFailures
Link copied to clipboard
open fun isIgnoreFailures(): Boolean
Whether to allow the build to continue if there are warnings.
setIgnoreFailures
Link copied to clipboard
open fun setIgnoreFailures(ignoreFailures: Boolean)
Whether to allow the build to continue if there are warnings.